#ifndef CAMERA_HXX
#define CAMERA_HXX

#include "Ray.hxx"

class Camera 
{
public:
  Camera(int resX, int resY);
  virtual ~Camera();
  virtual bool InitRay(float x, float y, Ray &ray) = 0;
  
  int resX() const;
  int resY() const;
protected:
  Camera();

  int m_resX, m_resY;
};
#endif
